Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.container
Class ContainerPointer

    java.lang.Object
      org.apache.commons.jxpath.ri.model.NodePointer
          org.apache.commons.jxpath.ri.model.container.ContainerPointer

All Implemented Interfaces:
  Serializable, Cloneable, Comparable, Pointer

    public class ContainerPointer

extends NodePointer

Transparent pointer to a Container. The `NodePointer.getValue()` method returns the contents of the container, rather than the container itself.

Version:
  $Revision: 652884 $ $Date: 2008-05-02 15:02:00 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`ContainerPointer(Container container, Locale locale)` Create a new ContainerPointer.
`ContainerPointer(NodePointer parent, Container container)` Create a new ContainerPointer.

Method Summary
`String` | `asPath()` Returns an XPath that maps to this Pointer.
`NodeIterator` | `attributeIterator(QName name)` Returns a NodeIterator that iterates over all attributes of the current node matching the supplied node name (could have a wildcard).
`NodeIterator` | `childIterator(NodeTest test, boolean reverse, NodePointer startWith)` Returns a NodeIterator that iterates over all children or all children that match the given NodeTest, starting with the specified one.
`int` | `compareChildNodePointers(NodePointer pointer1, NodePointer pointer2)` Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
`boolean` | `equals(Object object)`
`Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`NodePointer` | `getImmediateValuePointer()`
`int` | `getLength()` If the pointer represents a collection (or collection element), returns the length of the collection.
`QName` | `getName()` Returns the name of this node.
`String` | `getNamespaceURI(String prefix)` Decodes a namespace prefix to the corresponding URI.
`int` | `hashCode()`
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isContainer()` This type of node is auxiliary.
`boolean` | `isLeaf()` If true, this node does not have children
`NodeIterator` | `namespaceIterator()` Returns a NodeIterator that iterates over all namespaces of the value currently pointed at.
`NodePointer` | `namespacePointer(String namespace)` Returns a NodePointer for the specified namespace.
`void` | `setValue(Object value)` Converts the value to the required type and changes the corresponding object to that value.
`boolean` | `testNode(NodeTest nodeTest)` Checks if this Pointer matches the supplied NodeTest.

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, escape, getAbstractFactory, getDefaultNamespaceURI, getImmediateParentPointer, getIndex, getLocale, getNamespaceResolver, getNamespaceURI, getNode, getNodeSetByKey, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isActual, isAttribute, isDefaultNamespace, isLanguage, isNode, isRoot, newChildNodePointer, newNodePointer, printPointerChain, remove, setAttribute, setIndex, setNamespaceResolver, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerPointer

    public ContainerPointer(Container container,
                            Locale locale)

  Create a new ContainerPointer.

  Parameters:
    `container` - Container object
    `locale` - Locale

### ContainerPointer

    public ContainerPointer(NodePointer parent,
                            Container container)

  Create a new ContainerPointer.

  Parameters:
    `parent` - parent pointer
    `container` - Container object

Method Detail

### isContainer

    public boolean isContainer()

  This type of node is auxiliary.

  Overrides:
    `isContainer` in class `NodePointer`
  Returns:
    `true`.

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.

  Specified by:
    `getName` in class `NodePointer`
  Returns:
    QName

### getBaseValue

    public Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.

  Specified by:
    `getBaseValue` in class `NodePointer`
  Returns:
    Object value

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.

  Specified by:
    `isCollection` in class `NodePointer`
  Returns:
    boolean

### getLength

    public int getLength()

  Description copied from class: `NodePointer`
  If the pointer represents a collection (or collection element), returns the length of the collection. Otherwise returns 1 (even if the value is null).

  Specified by:
    `getLength` in class `NodePointer`
  Returns:
    int

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children

  Specified by:
    `isLeaf` in class `NodePointer`
  Returns:
    boolean

### getImmediateNode

    public Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.

  Specified by:
    `getImmediateNode` in class `NodePointer`
  Returns:
    Object node

### setValue

    public void setValue(Object value)

  Description copied from class: `NodePointer`
  Converts the value to the required type and changes the corresponding object to that value.

  Specified by:
    `setValue` in interface `Pointer`
  Specified by:
    `setValue` in class `NodePointer`
  Parameters:
    `value` - the value to set

### getImmediateValuePointer

    public NodePointer getImmediateValuePointer()

  Overrides:
    `getImmediateValuePointer` in class `NodePointer`
  Returns:
    NodePointer is either `this` or a pointer for the immediately contained value.
  See Also:
    `NodePointer.getValuePointer()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### childIterator

    public NodeIterator childIterator(NodeTest test,
                                      boolean reverse,
                                      NodePointer startWith)

  Description copied from class: `NodePointer`
  Returns a NodeIterator that iterates over all children or all children that match the given NodeTest, starting with the specified one.

  Overrides:
    `childIterator` in class `NodePointer`
  Parameters:
    `test` - NodeTest to filter children
    `reverse` - specified iteration direction
    `startWith` - the NodePointer to start with
  Returns:
    NodeIterator

### attributeIterator

    public NodeIterator attributeIterator(QName name)

  Description copied from class: `NodePointer`
  Returns a NodeIterator that iterates over all attributes of the current node matching the supplied node name (could have a wildcard). May return null if the object does not support the attributes.

  Overrides:
    `attributeIterator` in class `NodePointer`
  Parameters:
    `name` - the attribute name to test
  Returns:
    NodeIterator

### namespaceIterator

    public NodeIterator namespaceIterator()

  Description copied from class: `NodePointer`
  Returns a NodeIterator that iterates over all namespaces of the value currently pointed at. May return null if the object does not support the namespaces.

  Overrides:
    `namespaceIterator` in class `NodePointer`
  Returns:
    NodeIterator

### namespacePointer

    public NodePointer namespacePointer(String namespace)

  Description copied from class: `NodePointer`
  Returns a NodePointer for the specified namespace. Will return null if namespaces are not supported. Will return UNKNOWN_NAMESPACE if there is no such namespace.

  Overrides:
    `namespacePointer` in class `NodePointer`
  Parameters:
    `namespace` - incoming namespace
  Returns:
    NodePointer for `namespace`

### testNode

    public boolean testNode(NodeTest nodeTest)

  Description copied from class: `NodePointer`
  Checks if this Pointer matches the supplied NodeTest.

  Overrides:
    `testNode` in class `NodePointer`
  Parameters:
    `nodeTest` - the NodeTest to execute
  Returns:
    true if a match

### compareChildNodePointers

    public int compareChildNodePointers(NodePointer pointer1,
                                        NodePointer pointer2)

  Description copied from class: `NodePointer`
  Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.

  Specified by:
    `compareChildNodePointers` in class `NodePointer`
  Parameters:
    `pointer1` - first pointer to be compared
    `pointer2` - second pointer to be compared
  Returns:
    int per Java comparison conventions

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Description copied from class: `NodePointer`
  Decodes a namespace prefix to the corresponding URI.

  Overrides:
    `getNamespaceURI` in class `NodePointer`
  Parameters:
    `prefix` - prefix to decode
  Returns:
    String uri

### asPath

    public String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.

  Specified by:
    `asPath` in interface `Pointer`
  Overrides:
    `asPath` in class `NodePointer`
  Returns:
    String xpath expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.